<?php
/**
 *
 * @author	Ahmad Rasyid Ismail "ahrasis" http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod		VBBIS - VBulletin Board Index Style
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function VBBIS_Displays(&$buffer)
{
	global $modSettings, $board, $context, $txt, $topic;
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;

	// Define the old and the new	
	$vbbis = array();
	if (!empty($modSettings['vbbis_enable']) && function_exists('BoardIndex'))
	{
		foreach ($context['categories'] as $category)
		{
			$before1 = '<tbody class="content" id="category_' . $category['id'] . '_boards">';
			$after1 = '<tbody class="content" id="category_' . $category['id'] . '_boards">
				<tr style="line-height:8px;">
					<td class="centertext windowbg vbbis_top_border"><strong>' . $txt['status'] . '</strong></td>
					<td class="lefttext windowbg vbbis_top_border"><strong>' . $txt['board'] . '</strong></td>
					<td class="centertext windowbg vbbis_top_border"><strong>' . $txt['posts'] . '</strong></td>
					<td class="centertext windowbg vbbis_top_border"><strong>' . $txt['topics'] . '</strong></td>
					<td class="centertext windowbg vbbis_top_border"><strong>' . $txt['last_post'] . '</strong></td>
				</tr>';
			$vbbis[$before1] = $after1;
			
			$before4 = '<td colspan="3" class="children windowbg">';
			$after4 = '<td colspan="4" class="children windowbg">';
			$vbbis[$before4] = $after4;

			$before5 = '<td colspan="4">';
			$after5 = '<td colspan="6">';
			$vbbis[$before5] = $after5;
		}
	}
	if (!empty($modSettings['vbbis_enable']) && (function_exists('MessageIndex') || function_exists('QuickModeration')))
	{
			$before6 = '<tbody id="board_' . $context['current_board'] . '_children" class="content">';
			$after6 = '<tbody id="board_' . $context['current_board'] . '_children" class="content">
				<tr style="line-height:8px;">
					<td class="centertext windowbg vbbis_border_first vbbis_top_message"><strong>' . $txt['status'] . '</strong></td>
					<td class="lefttext windowbg vbbis_border vbbis_top_message"><strong>' . $txt['board'] . '</strong></td>
					<td class="centertext windowbg vbbis_border vbbis_top_message"><strong>' . $txt['posts'] . '</strong></td>
					<td class="centertext windowbg vbbis_border vbbis_top_message"><strong>' . $txt['topics'] . '</strong></td>
					<td class="centertext windowbg vbbis_border vbbis_top_message"><strong>' . $txt['last_post'] . '</strong></td>
				</tr>';
			$vbbis[$before6] = $after6;
			
			$before7 = '<td colspan="3" class="children windowbg">';
			$after7 = '<td colspan="4" class="children windowbg">';
			$vbbis[$before7] = $after7;
	}
	// Now let's change them, if we're allowed to
	return str_replace(array_keys($vbbis), array_values($vbbis), $buffer);
}

function VBBIS_Styles()
{
	global $context, $modSettings, $settings;
	// Add styling(s)
	if (!empty($modSettings['vbbis_enable']))
	{
	$context['html_headers'] .= '
	<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/css/VBBIS.styles.css?fin20" />';
	}
}

function VBBIS_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('VBBIS');
	// Add setting(s)
	$vbbis = array(
			array('check', 'vbbis_enable'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $vbbis);
}
?>